#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
# define comment 2


# line 9 "../../../frontEnd/src/java2dep/javalexer.l"
/*  From hpf2dep */

#ifdef HAVE_CONFIG_H
#include <config.h>                     /* config header file */
#endif

#ifdef STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#else
#include <strings.h>
#endif

#include <stdio.h>
#include "keywords.h"
#   include "typedef.h"
#   include "bif.h"
#   include "ll.h"
#   include "symb.h"

#include "defnodes.h"


# line 31 "../../../frontEnd/src/java2dep/javalexer.l"
/***********/

#include "javaDparser.tab.h"

extern  int  lineNum_g,lineNum_l;
extern  int  debugFlag_g;
extern  FILE *inf_ptr;

char *copys();

extern int parloop;   /* PARLOOP */

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
   yyin=inf_ptr;
                    /* zheng.gb 1996.5.29 */

#ifdef YYTEXT_IS_POINTER
#ifdef IS_UNSIGNED_CHAR
   yytext = (unsigned char *) calloc(1,(unsigned)0x400);
#else
   yytext = (char *) calloc(1,(unsigned)0x400);
#endif
#endif

#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 83 "../../../frontEnd/src/java2dep/javalexer.l"
{
   ; 
}
break;
case 2:

# line 88 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   if(debugFlag_g == 1)
      printf("(comment//,)\n"); 
   lineNum_g++;
   lineNum_l++;
}
break;
case 3:

# line 95 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   if(debugFlag_g == 1)
      printf("(comment/* begin,)");
   BEGIN comment; 
}
break;
case 4:

# line 101 "../../../frontEnd/src/java2dep/javalexer.l"
{
   if(debugFlag_g == 1)
      printf("(comment... %s)",yytext);
}
break;
case 5:

# line 106 "../../../frontEnd/src/java2dep/javalexer.l"
{
   if(debugFlag_g == 1)
      printf("(comment... %s)",yytext);
}
break;
case 6:

# line 111 "../../../frontEnd/src/java2dep/javalexer.l"
{
   lineNum_g++;
   lineNum_l++;
}
break;
case 7:

# line 116 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   int i;
   if(debugFlag_g == 1)
      printf("(comment*/end,)\n");
   for(i=0;yytext[i]!='\0';i++)
      if (yytext[i] == '\n')
        {
         lineNum_g++;
         lineNum_l++;
         }
   BEGIN 0; 
}
break;
case 8:

# line 129 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   /* javar_out(0, "Unexpected <EOF> in comment"); */
   BEGIN 0;
   printf(" Unexpected <EOF> in comment \n" );
}
break;
case 9:

# line 135 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   lineNum_g++;
   lineNum_l++;
}
break;
case 10:

# line 140 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
  /* javar_out(0, "%s : Sorry, unicode escapes "
			          "are not supported\n", yytext); */
   if(debugFlag_g==1)
         printf("(Unicode),");
   return XXX_;
}
break;
case 11:

# line 148 "../../../frontEnd/src/java2dep/javalexer.l"
  { if(debugFlag_g==1)
         		printf("(RA_)");
			    return RA_;
			  }
break;
case 12:

# line 152 "../../../frontEnd/src/java2dep/javalexer.l"
  return EQ_;
break;
case 13:

# line 153 "../../../frontEnd/src/java2dep/javalexer.l"
  return LE_;
break;
case 14:

# line 154 "../../../frontEnd/src/java2dep/javalexer.l"
  return GE_;
break;
case 15:

# line 155 "../../../frontEnd/src/java2dep/javalexer.l"
  return NE_;
break;
case 16:

# line 156 "../../../frontEnd/src/java2dep/javalexer.l"
  return AND_;
break;
case 17:

# line 157 "../../../frontEnd/src/java2dep/javalexer.l"
  return OR_;
break;
case 18:

# line 158 "../../../frontEnd/src/java2dep/javalexer.l"
  return PP_;
break;
case 19:

# line 159 "../../../frontEnd/src/java2dep/javalexer.l"
  return MM_;
break;
case 20:

# line 161 "../../../frontEnd/src/java2dep/javalexer.l"
  return LL_;
break;
case 21:

# line 162 "../../../frontEnd/src/java2dep/javalexer.l"
  return RR_;
break;
case 22:

# line 163 "../../../frontEnd/src/java2dep/javalexer.l"
 return RRR_;
break;
case 23:

# line 165 "../../../frontEnd/src/java2dep/javalexer.l"
  return PIS_;
break;
case 24:

# line 166 "../../../frontEnd/src/java2dep/javalexer.l"
  return MINIS_;
break;
case 25:

# line 167 "../../../frontEnd/src/java2dep/javalexer.l"
  return MULIS_;
break;
case 26:

# line 168 "../../../frontEnd/src/java2dep/javalexer.l"
  return DIS_;
break;
case 27:

# line 169 "../../../frontEnd/src/java2dep/javalexer.l"
  return ANDIS_;
break;
case 28:

# line 170 "../../../frontEnd/src/java2dep/javalexer.l"
  return ORIS_;
break;
case 29:

# line 171 "../../../frontEnd/src/java2dep/javalexer.l"
  return UIS_;
break;
case 30:

# line 172 "../../../frontEnd/src/java2dep/javalexer.l"
  return IDIVIS_;
break;
case 31:

# line 173 "../../../frontEnd/src/java2dep/javalexer.l"
 return LLIS_;
break;
case 32:

# line 174 "../../../frontEnd/src/java2dep/javalexer.l"
 return RRIS_;
break;
case 33:

# line 175 "../../../frontEnd/src/java2dep/javalexer.l"
return RRRIS_;
break;
case 34:

# line 177 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   /* yylval.expr = make_nul_lit(); */
   return NULL_LITERAL;
}
break;
case 35:

# line 182 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   return BOOL_TRUE_LITERAL;
}
break;
case 36:

# line 185 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   return BOOL_FALSE_LITERAL;
}
break;
case 37:

# line 189 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   char *temp=copys(yytext);
   int i;
   for(i=0;i<strlen(yytext)-2;i++)
      temp[i]=yytext[i+1];
   temp[i]='\0';
   yylval.charp=copys(temp);
   return(STRING_LITERAL);
}
break;
case 38:

# line 199 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   char *temp=copys(yytext);
   int i;
   for(i=0;i<strlen(yytext)-2;i++)
      temp[i]=yytext[i+1];
   temp[i]='\0';
   yylval.charp=copys(temp);
   return(CHAR_LITERAL); 
}
break;
case 39:

# line 209 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   yylval.charp=copys(yytext);
   return(REAL_LITERAL);
}
break;
case 40:

# line 214 "../../../frontEnd/src/java2dep/javalexer.l"
{
   yylval.charp=copys(yytext);
   return(DOUBLE_LITERAL);
}
break;
case 41:

# line 219 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   yylval.charp=copys(yytext);
   return(INT_DEC_LITERAL);
}
break;
case 42:

# line 224 "../../../frontEnd/src/java2dep/javalexer.l"
{
   yylval.charp=copys(yytext);
   return(INT_OCT_LITERAL);
}
break;
case 43:

# line 229 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   yylval.charp=copys(yytext);
   return(INT_HEX_LITERAL);
}
break;
case 44:

# line 234 "../../../frontEnd/src/java2dep/javalexer.l"
{
   return(keynameDeal_m(yytext));
}
break;
case 45:

# line 239 "../../../frontEnd/src/java2dep/javalexer.l"
            { return yytext[0]; }
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

#ifndef yywrap
yywrap()
{
   return 1;
}
#endif

/*   int searchKey_m(char name[40],char tab[47][15],int limit)  */
int searchKey_m(name,tab,limit)
char name[40];
char tab[47][15];
{
   int i=0;
   int flag=0;

   do
    {
        if(strcmp(name,tab[i])==0)
            flag=1;
        else
             i++;
    }while (!((flag==1)||(i==limit))) ;
    return(i);
}

/*   int keynameDeal_m(char name[40])   */
int keynameDeal_m(name)
char name[40];
{
   int i;
   int returnValue_m;
   char chara;

   yylval.charp=copys( name );

   if((i=searchKey_m(name,KEY_WORD_G,KEY_WORD_LIMIT_G))<KEY_WORD_LIMIT_G)
      {
       if(debugFlag_g==1)
            printf("(keyword: %s  %d)\n",name,i);
       returnValue_m=ABSTRACT+i;
       return(returnValue_m);
       }
   else
      {
       if(debugFlag_g==1)
             printf("(It's a identifier_name: %s)\n",name);
       return(IDENTIFIER);
       }
}
int yyvstop[] = {
0,

4,
0,

4,
0,

4,
0,

4,
0,

45,
0,

1,
45,
0,

9,
0,

45,
0,

45,
0,

44,
45,
0,

45,
0,

45,
0,

45,
0,

45,
0,

45,
0,

45,
0,

45,
0,

45,
0,

41,
45,
0,

41,
45,
0,

45,
0,

45,
0,

45,
0,

45,
0,

45,
0,

44,
45,
0,

44,
45,
0,

44,
45,
0,

45,
-11,
0,

4,
45,
0,

1,
4,
45,
0,

6,
9,
0,

4,
45,
0,

4,
45,
0,

4,
44,
45,
0,

4,
45,
0,

4,
45,
0,

4,
45,
0,

5,
45,
0,

4,
45,
0,

4,
45,
0,

4,
45,
0,

4,
45,
0,

4,
41,
45,
0,

4,
41,
45,
0,

4,
45,
0,

4,
45,
0,

4,
45,
0,

4,
45,
0,

4,
45,
0,

4,
44,
45,
0,

4,
44,
45,
0,

4,
44,
45,
0,

4,
45,
-11,
0,

1,
0,

15,
0,

37,
0,

44,
0,

30,
0,

16,
0,

27,
0,

38,
0,

25,
0,

18,
0,

23,
0,

19,
0,

24,
0,

39,
40,
0,

3,
0,

26,
0,

39,
40,
0,

42,
0,

43,
0,

41,
0,

41,
0,

20,
0,

13,
0,

12,
0,

14,
0,

21,
0,

29,
0,

44,
0,

44,
0,

44,
0,

11,
0,

28,
0,

17,
0,

4,
0,

1,
4,
0,

4,
15,
0,

4,
0,

4,
37,
0,

4,
44,
0,

4,
30,
0,

4,
16,
0,

4,
27,
0,

4,
0,

4,
38,
0,

5,
0,

7,
0,

5,
25,
0,

4,
18,
0,

4,
23,
0,

4,
19,
0,

4,
24,
0,

4,
39,
40,
0,

4,
0,

4,
26,
0,

4,
39,
40,
0,

4,
42,
0,

4,
0,

4,
0,

4,
0,

4,
43,
0,

4,
41,
0,

4,
41,
0,

4,
20,
0,

4,
13,
0,

4,
12,
0,

4,
14,
0,

4,
21,
0,

4,
0,

4,
29,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

4,
0,

4,
11,
0,

4,
28,
0,

4,
17,
0,

39,
40,
0,

39,
40,
0,

2,
0,

42,
0,

40,
0,

39,
0,

43,
0,

31,
0,

32,
0,

22,
0,

44,
0,

44,
0,

44,
0,

4,
39,
40,
0,

4,
0,

4,
39,
40,
0,

4,
42,
0,

4,
0,

4,
40,
0,

4,
0,

4,
39,
0,

4,
43,
0,

4,
31,
0,

4,
0,

4,
32,
0,

4,
22,
0,

4,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

40,
0,

39,
0,

40,
0,

39,
0,

33,
0,

44,
0,

34,
44,
0,

35,
44,
0,

4,
0,

4,
40,
0,

4,
0,

4,
39,
0,

4,
40,
0,

4,
39,
0,

4,
0,

4,
33,
0,

4,
0,

4,
44,
0,

4,
34,
44,
0,

4,
35,
44,
0,

36,
44,
0,

4,
0,

4,
0,

4,
36,
44,
0,

4,
0,

4,
0,

4,
8,
0,

4,
0,

4,
0,

4,
0,

4,
0,

4,
0,

10,
0,

4,
10,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,5,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,6,	1,7,	
0,0,	6,55,	0,0,	0,0,	
6,55,	0,0,	0,0,	31,97,	
31,0,	96,0,	98,0,	0,0,	
102,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,6,	1,8,	1,9,	
6,55,	1,10,	1,11,	1,12,	
1,13,	58,57,	31,97,	1,14,	
1,15,	64,63,	1,16,	1,17,	
1,18,	1,19,	1,20,	12,61,	
31,0,	96,0,	98,0,	2,8,	
102,0,	1,20,	15,66,	2,11,	
2,12,	1,21,	1,22,	1,23,	
8,56,	11,60,	1,10,	2,16,	
2,17,	1,10,	1,10,	1,10,	
14,65,	16,68,	12,62,	18,71,	
15,67,	1,10,	21,82,	21,83,	
18,72,	22,84,	2,21,	2,22,	
2,23,	23,85,	23,86,	25,88,	
82,149,	16,69,	33,0,	49,0,	
151,179,	1,24,	18,73,	1,25,	
36,0,	152,180,	3,30,	26,89,	
86,150,	86,151,	201,204,	1,26,	
155,183,	181,197,	3,31,	3,32,	
209,211,	0,0,	0,0,	1,27,	
89,153,	90,154,	2,24,	28,91,	
2,25,	1,28,	24,87,	27,90,	
47,0,	91,155,	33,0,	49,0,	
2,26,	1,29,	153,181,	154,182,	
36,0,	3,31,	3,33,	3,34,	
2,27,	3,35,	3,36,	3,37,	
3,38,	40,0,	2,28,	3,39,	
3,40,	33,98,	3,41,	3,42,	
3,43,	3,44,	3,45,	36,102,	
29,92,	48,0,	180,196,	4,33,	
47,0,	3,45,	37,0,	4,36,	
4,37,	3,46,	3,47,	3,48,	
204,207,	92,92,	3,35,	4,41,	
4,42,	3,35,	3,35,	3,35,	
211,213,	40,0,	40,110,	47,127,	
40,96,	3,35,	29,93,	0,0,	
41,0,	29,94,	4,46,	4,47,	
4,48,	48,0,	37,103,	0,0,	
9,57,	0,0,	37,0,	92,93,	
40,111,	3,49,	0,0,	3,50,	
9,57,	9,57,	0,0,	0,0,	
0,0,	42,0,	49,130,	3,51,	
48,128,	48,129,	0,0,	0,0,	
0,0,	37,104,	46,0,	3,52,	
41,0,	43,0,	4,49,	41,112,	
4,50,	3,53,	0,0,	9,57,	
0,0,	9,58,	100,0,	9,57,	
4,51,	3,54,	9,57,	50,0,	
0,0,	9,57,	9,57,	41,113,	
4,52,	42,0,	9,57,	9,57,	
9,57,	0,0,	4,53,	42,114,	
42,114,	0,0,	46,0,	9,57,	
29,95,	43,71,	100,99,	42,114,	
103,0,	104,0,	43,115,	0,0,	
9,57,	10,59,	100,0,	9,57,	
9,57,	9,57,	0,0,	50,0,	
46,125,	46,126,	0,0,	9,57,	
43,116,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	0,0,	
109,0,	110,0,	50,131,	0,0,	
103,0,	104,0,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
109,0,	110,0,	0,0,	9,57,	
10,59,	109,0,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
13,63,	0,0,	54,0,	97,97,	
97,0,	111,0,	0,0,	112,0,	
13,63,	13,63,	17,70,	17,70,	
17,70,	17,70,	17,70,	17,70,	
17,70,	17,70,	17,70,	17,70,	
106,0,	0,0,	113,0,	0,0,	
54,135,	116,0,	97,97,	0,0,	
0,0,	124,0,	126,0,	13,63,	
0,0,	13,63,	54,0,	13,63,	
97,0,	111,0,	13,64,	112,0,	
127,0,	13,63,	13,63,	0,0,	
0,0,	0,0,	13,63,	13,63,	
13,63,	106,105,	54,136,	0,0,	
106,0,	54,137,	113,0,	13,63,	
128,0,	116,0,	70,139,	70,140,	
70,141,	124,0,	126,0,	131,0,	
13,63,	0,0,	129,0,	13,63,	
13,63,	13,63,	0,0,	135,0,	
127,0,	0,0,	19,74,	13,63,	
19,75,	19,75,	19,75,	19,75,	
19,75,	19,75,	19,75,	19,75,	
19,76,	19,76,	0,0,	0,0,	
128,0,	136,0,	70,139,	70,140,	
70,141,	135,135,	137,0,	131,0,	
19,77,	19,78,	129,0,	138,0,	
0,0,	158,0,	20,74,	135,0,	
20,80,	20,80,	20,80,	20,80,	
20,80,	20,80,	20,80,	20,80,	
20,80,	20,80,	70,141,	0,0,	
54,138,	129,167,	129,168,	135,136,	
125,0,	136,0,	159,0,	13,63,	
20,77,	20,78,	137,0,	30,96,	
19,77,	19,78,	0,0,	138,0,	
20,81,	158,0,	0,0,	30,96,	
30,0,	0,0,	75,75,	75,75,	
75,75,	75,75,	75,75,	75,75,	
75,75,	75,75,	75,76,	75,76,	
19,79,	164,0,	0,0,	165,0,	
125,0,	145,177,	159,0,	145,177,	
20,77,	20,78,	30,96,	0,0,	
30,96,	119,0,	30,96,	0,0,	
20,81,	30,96,	75,143,	0,0,	
30,0,	30,96,	34,99,	125,165,	
166,0,	30,96,	30,96,	30,96,	
0,0,	0,0,	34,99,	125,166,	
0,0,	164,0,	30,96,	165,0,	
0,0,	145,177,	0,0,	145,177,	
0,0,	35,0,	147,178,	30,96,	
147,178,	119,0,	30,96,	30,96,	
30,96,	119,117,	75,143,	119,119,	
119,119,	34,99,	30,96,	34,100,	
166,0,	34,99,	0,0,	119,119,	
34,99,	145,177,	0,0,	125,96,	
34,99,	0,0,	0,0,	35,101,	
34,99,	34,99,	34,99,	119,120,	
119,121,	35,0,	147,178,	38,105,	
147,178,	34,99,	0,0,	35,101,	
35,101,	0,0,	0,0,	38,105,	
0,0,	0,0,	34,99,	35,101,	
167,0,	34,99,	34,99,	34,99,	
0,0,	166,190,	120,0,	0,0,	
35,101,	34,99,	147,178,	35,101,	
35,101,	35,101,	30,96,	0,0,	
0,0,	168,0,	38,105,	35,101,	
38,105,	188,0,	38,105,	0,0,	
0,0,	38,106,	160,0,	0,0,	
39,107,	38,105,	0,0,	0,0,	
167,0,	38,105,	38,105,	38,105,	
39,107,	39,0,	120,0,	120,160,	
0,0,	0,0,	38,105,	0,0,	
120,161,	120,161,	189,0,	169,0,	
44,0,	168,0,	0,0,	38,105,	
120,161,	188,0,	38,105,	38,105,	
38,105,	34,99,	160,0,	39,107,	
0,0,	39,107,	38,105,	39,107,	
160,161,	160,161,	39,107,	191,0,	
168,191,	39,0,	39,107,	0,0,	
160,161,	45,0,	39,108,	39,107,	
39,107,	0,0,	189,0,	169,0,	
44,0,	192,0,	51,0,	39,107,	
44,117,	0,0,	44,118,	44,118,	
39,109,	0,0,	0,0,	174,177,	
39,107,	174,177,	44,119,	39,107,	
39,107,	39,107,	198,0,	191,0,	
0,0,	205,0,	190,0,	39,107,	
216,0,	45,0,	44,120,	44,121,	
51,101,	45,117,	38,105,	45,123,	
45,123,	192,0,	51,0,	0,0,	
0,0,	52,0,	0,0,	45,123,	
51,101,	51,101,	202,0,	174,177,	
0,0,	174,177,	0,0,	53,0,	
51,101,	169,192,	198,0,	45,120,	
45,121,	205,0,	190,0,	0,0,	
216,0,	51,101,	0,0,	45,124,	
51,101,	51,101,	51,101,	52,101,	
0,0,	0,0,	0,0,	174,177,	
51,101,	52,0,	198,202,	39,107,	
162,0,	53,101,	202,0,	52,101,	
52,101,	206,0,	44,122,	53,0,	
203,0,	0,0,	190,198,	52,101,	
0,0,	53,101,	53,101,	0,0,	
114,0,	51,132,	72,72,	0,0,	
52,101,	53,101,	202,205,	52,101,	
52,101,	52,101,	72,72,	72,142,	
0,0,	210,0,	53,101,	52,101,	
162,0,	53,101,	53,101,	53,101,	
192,199,	206,0,	162,163,	162,163,	
203,0,	53,101,	190,96,	0,0,	
0,0,	121,0,	162,163,	0,0,	
114,0,	72,72,	0,0,	72,72,	
0,0,	72,72,	114,114,	114,114,	
72,72,	0,0,	0,0,	72,72,	
72,72,	210,0,	114,114,	0,0,	
72,72,	72,72,	72,72,	0,0,	
0,0,	0,0,	0,0,	0,0,	
52,133,	72,72,	114,156,	114,157,	
114,158,	121,0,	121,162,	53,134,	
0,0,	0,0,	72,72,	121,163,	
121,163,	72,72,	72,72,	72,72,	
0,0,	0,0,	203,206,	121,163,	
0,0,	72,72,	74,74,	74,74,	
74,74,	74,74,	74,74,	74,74,	
74,74,	74,74,	74,74,	74,74,	
156,0,	0,0,	117,0,	0,0,	
0,0,	0,0,	0,0,	210,212,	
206,208,	0,0,	74,139,	74,140,	
74,141,	76,74,	0,0,	76,76,	
76,76,	76,76,	76,76,	76,76,	
76,76,	76,76,	76,76,	76,76,	
76,76,	0,0,	114,158,	0,0,	
0,0,	0,0,	0,0,	0,0,	
156,0,	156,184,	117,0,	76,77,	
76,78,	72,72,	156,185,	156,185,	
117,117,	117,117,	74,139,	74,140,	
74,141,	77,144,	156,185,	77,144,	
117,117,	0,0,	77,145,	77,145,	
77,145,	77,145,	77,145,	77,145,	
77,145,	77,145,	77,145,	77,145,	
117,156,	117,157,	117,158,	212,0,	
0,0,	0,0,	74,141,	76,77,	
76,78,	78,146,	0,0,	78,146,	
0,0,	0,0,	78,147,	78,147,	
78,147,	78,147,	78,147,	78,147,	
78,147,	78,147,	78,147,	78,147,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	0,0,	212,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	79,79,	79,79,	79,79,	
79,79,	79,79,	79,79,	0,0,	
0,0,	0,0,	0,0,	0,0,	
79,148,	139,173,	0,0,	139,173,	
117,158,	0,0,	139,174,	139,174,	
139,174,	139,174,	139,174,	139,174,	
139,174,	139,174,	139,174,	139,174,	
0,0,	0,0,	0,0,	0,0,	
0,0,	79,79,	79,79,	79,79,	
79,79,	79,79,	79,79,	0,0,	
0,0,	0,0,	0,0,	0,0,	
79,148,	87,152,	87,152,	87,152,	
87,152,	87,152,	87,152,	87,152,	
87,152,	87,152,	87,152,	0,0,	
0,0,	176,178,	0,0,	176,178,	
0,0,	0,0,	87,152,	87,152,	
87,152,	87,152,	87,152,	87,152,	
0,0,	99,99,	212,214,	0,0,	
0,0,	140,175,	0,0,	140,175,	
0,0,	99,99,	140,176,	140,176,	
140,176,	140,176,	140,176,	140,176,	
140,176,	140,176,	140,176,	140,176,	
101,0,	176,178,	0,0,	176,178,	
0,0,	118,0,	87,152,	87,152,	
87,152,	87,152,	87,152,	87,152,	
99,99,	0,0,	99,100,	0,0,	
99,99,	0,0,	0,0,	99,99,	
0,0,	0,0,	0,0,	99,99,	
0,0,	176,178,	101,101,	99,99,	
99,99,	99,99,	0,0,	0,0,	
101,0,	0,0,	105,105,	0,0,	
99,99,	118,0,	101,101,	101,101,	
0,0,	118,117,	105,105,	118,118,	
118,118,	99,99,	101,101,	0,0,	
99,99,	99,99,	99,99,	118,119,	
0,0,	0,0,	0,0,	101,101,	
99,99,	0,0,	101,101,	101,101,	
101,101,	123,0,	0,0,	118,120,	
118,121,	105,105,	101,101,	105,105,	
0,0,	105,105,	0,0,	118,159,	
105,106,	0,0,	0,0,	107,107,	
105,105,	0,0,	0,0,	0,0,	
105,105,	105,105,	105,105,	107,107,	
107,0,	0,0,	0,0,	0,0,	
0,0,	105,105,	0,0,	0,0,	
0,0,	123,0,	0,0,	0,0,	
0,0,	123,117,	105,105,	123,123,	
123,123,	105,105,	105,105,	105,105,	
99,99,	0,0,	107,107,	123,123,	
107,107,	105,105,	107,107,	0,0,	
0,0,	107,107,	0,0,	0,0,	
107,0,	107,107,	115,115,	123,120,	
123,121,	107,0,	107,107,	107,107,	
0,0,	0,0,	115,115,	123,124,	
0,0,	0,0,	107,107,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	122,0,	0,0,	107,107,	
0,0,	0,0,	107,107,	107,107,	
107,107,	0,0,	0,0,	0,0,	
0,0,	115,115,	107,107,	115,115,	
0,0,	115,115,	0,0,	0,0,	
115,115,	105,105,	0,0,	0,0,	
115,115,	0,0,	130,0,	0,0,	
115,115,	115,115,	115,115,	0,0,	
0,0,	122,0,	0,0,	0,0,	
0,0,	115,115,	0,0,	122,122,	
122,122,	157,0,	0,0,	0,0,	
132,0,	0,0,	115,115,	122,122,	
0,0,	115,115,	115,115,	115,115,	
0,0,	0,0,	0,0,	0,0,	
122,122,	115,115,	130,0,	122,122,	
122,122,	122,122,	107,107,	0,0,	
130,169,	130,169,	0,0,	122,164,	
133,0,	0,0,	132,101,	0,0,	
130,169,	157,0,	157,186,	0,0,	
132,0,	0,0,	0,0,	157,187,	
157,187,	130,169,	132,101,	132,101,	
130,169,	130,169,	130,169,	157,187,	
0,0,	0,0,	132,101,	0,0,	
134,0,	0,0,	133,101,	0,0,	
0,0,	161,0,	0,0,	132,101,	
133,0,	0,0,	132,101,	132,101,	
132,101,	115,115,	133,101,	133,101,	
0,0,	0,0,	132,101,	0,0,	
0,0,	0,0,	133,101,	0,0,	
0,0,	0,0,	134,101,	0,0,	
0,0,	0,0,	0,0,	133,101,	
134,0,	0,0,	133,101,	133,101,	
133,101,	161,0,	134,101,	134,101,	
0,0,	0,0,	133,101,	161,161,	
161,161,	0,0,	134,101,	0,0,	
0,0,	0,0,	132,170,	161,161,	
0,0,	0,0,	0,0,	134,101,	
0,0,	0,0,	134,101,	134,101,	
134,101,	0,0,	0,0,	161,188,	
163,0,	161,188,	134,101,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	133,171,	144,145,	
144,145,	144,145,	144,145,	144,145,	
144,145,	144,145,	144,145,	144,145,	
144,145,	146,147,	146,147,	146,147,	
146,147,	146,147,	146,147,	146,147,	
146,147,	146,147,	146,147,	170,0,	
163,0,	0,0,	0,0,	0,0,	
184,0,	0,0,	163,163,	163,163,	
0,0,	171,0,	0,0,	134,172,	
0,0,	0,0,	163,163,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	161,188,	
186,0,	170,101,	163,189,	0,0,	
163,189,	0,0,	0,0,	170,0,	
0,0,	0,0,	172,0,	171,101,	
184,0,	170,101,	170,101,	185,0,	
0,0,	171,0,	184,185,	184,185,	
0,0,	170,101,	0,0,	171,101,	
171,101,	0,0,	184,185,	0,0,	
0,0,	0,0,	170,101,	171,101,	
186,0,	170,101,	170,101,	170,101,	
172,101,	0,0,	186,187,	186,187,	
171,101,	170,101,	172,0,	171,101,	
171,101,	171,101,	186,187,	185,0,	
172,101,	172,101,	0,0,	171,101,	
0,0,	185,185,	185,185,	0,0,	
172,101,	0,0,	163,189,	0,0,	
0,0,	185,185,	0,0,	0,0,	
0,0,	172,101,	0,0,	0,0,	
172,101,	172,101,	172,101,	0,0,	
0,0,	185,188,	0,0,	185,188,	
172,101,	0,0,	0,0,	0,0,	
170,193,	187,0,	0,0,	171,194,	
173,174,	173,174,	173,174,	173,174,	
173,174,	173,174,	173,174,	173,174,	
173,174,	173,174,	0,0,	0,0,	
193,0,	0,0,	0,0,	0,0,	
0,0,	172,195,	175,176,	175,176,	
175,176,	175,176,	175,176,	175,176,	
175,176,	175,176,	175,176,	175,176,	
0,0,	187,0,	194,0,	0,0,	
0,0,	0,0,	0,0,	187,187,	
187,187,	0,0,	193,101,	0,0,	
0,0,	0,0,	0,0,	187,187,	
193,0,	185,188,	0,0,	0,0,	
0,0,	0,0,	193,101,	193,101,	
0,0,	0,0,	195,0,	187,189,	
194,101,	187,189,	193,101,	0,0,	
0,0,	0,0,	194,0,	0,0,	
0,0,	0,0,	0,0,	193,101,	
194,101,	194,101,	193,101,	193,101,	
193,101,	0,0,	0,0,	0,0,	
194,101,	0,0,	193,101,	0,0,	
195,101,	0,0,	0,0,	0,0,	
0,0,	194,101,	195,0,	0,0,	
194,101,	194,101,	194,101,	0,0,	
195,101,	195,101,	0,0,	0,0,	
194,101,	0,0,	0,0,	0,0,	
195,101,	0,0,	0,0,	193,200,	
0,0,	0,0,	0,0,	0,0,	
0,0,	195,101,	0,0,	187,189,	
195,101,	195,101,	195,101,	0,0,	
0,0,	0,0,	0,0,	0,0,	
195,101,	196,201,	196,201,	196,201,	
196,201,	196,201,	196,201,	196,201,	
196,201,	196,201,	196,201,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	196,201,	196,201,	
196,201,	196,201,	196,201,	196,201,	
199,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	200,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	196,201,	196,201,	
196,201,	196,201,	196,201,	196,201,	
199,0,	0,0,	0,0,	0,0,	
200,101,	0,0,	199,203,	199,203,	
0,0,	0,0,	200,0,	0,0,	
0,0,	0,0,	199,203,	0,0,	
200,101,	200,101,	0,0,	0,0,	
0,0,	0,0,	0,0,	199,203,	
200,101,	0,0,	199,203,	199,203,	
199,203,	0,0,	0,0,	0,0,	
0,0,	200,101,	0,0,	0,0,	
200,101,	200,101,	200,101,	0,0,	
0,0,	0,0,	0,0,	0,0,	
200,101,	207,209,	207,209,	207,209,	
207,209,	207,209,	207,209,	207,209,	
207,209,	207,209,	207,209,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	207,209,	207,209,	
207,209,	207,209,	207,209,	207,209,	
208,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	207,209,	207,209,	
207,209,	207,209,	207,209,	207,209,	
208,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	208,210,	208,210,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	208,210,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	208,210,	
0,0,	0,0,	208,210,	208,210,	
208,210,	213,215,	213,215,	213,215,	
213,215,	213,215,	213,215,	213,215,	
213,215,	213,215,	213,215,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	213,215,	213,215,	
213,215,	213,215,	213,215,	213,215,	
214,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	213,215,	213,215,	
213,215,	213,215,	213,215,	213,215,	
214,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	214,216,	214,216,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	214,216,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	214,216,	
0,0,	0,0,	214,216,	214,216,	
214,216,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		yyvstop+1,
yycrank+-22,	yysvec+1,	yyvstop+3,
yycrank+-97,	0,		yyvstop+5,
yycrank+-118,	yysvec+3,	yyvstop+7,
yycrank+0,	0,		yyvstop+9,
yycrank+4,	0,		yyvstop+11,
yycrank+0,	0,		yyvstop+14,
yycrank+3,	0,		yyvstop+16,
yycrank+-183,	0,		yyvstop+18,
yycrank+213,	0,		yyvstop+20,
yycrank+4,	0,		yyvstop+23,
yycrank+13,	0,		yyvstop+25,
yycrank+-335,	0,		yyvstop+27,
yycrank+11,	0,		yyvstop+29,
yycrank+15,	0,		yyvstop+31,
yycrank+28,	0,		yyvstop+33,
yycrank+298,	0,		yyvstop+35,
yycrank+33,	0,		yyvstop+37,
yycrank+364,	0,		yyvstop+39,
yycrank+392,	0,		yyvstop+42,
yycrank+18,	0,		yyvstop+45,
yycrank+20,	0,		yyvstop+47,
yycrank+24,	0,		yyvstop+49,
yycrank+1,	0,		yyvstop+51,
yycrank+26,	0,		yyvstop+53,
yycrank+2,	yysvec+10,	yyvstop+55,
yycrank+2,	yysvec+10,	yyvstop+58,
yycrank+1,	yysvec+10,	yyvstop+61,
yycrank+116,	0,		yyvstop+64,
yycrank+-462,	0,		yyvstop+67,
yycrank+-10,	yysvec+30,	yyvstop+70,
yycrank+0,	0,		yyvstop+74,
yycrank+-80,	yysvec+30,	yyvstop+77,
yycrank+-505,	yysvec+9,	yyvstop+80,
yycrank+-515,	yysvec+30,	yyvstop+83,
yycrank+-86,	yysvec+30,	yyvstop+87,
yycrank+-144,	yysvec+30,	yyvstop+90,
yycrank+-558,	yysvec+13,	yyvstop+93,
yycrank+-599,	0,		yyvstop+96,
yycrank+-127,	yysvec+30,	yyvstop+99,
yycrank+-166,	yysvec+30,	yyvstop+102,
yycrank+-187,	yysvec+30,	yyvstop+105,
yycrank+-199,	yysvec+30,	yyvstop+108,
yycrank+-610,	yysvec+30,	yyvstop+111,
yycrank+-635,	yysvec+30,	yyvstop+115,
yycrank+-196,	yysvec+30,	yyvstop+119,
yycrank+-110,	yysvec+30,	yyvstop+122,
yycrank+-139,	yysvec+30,	yyvstop+125,
yycrank+-81,	yysvec+30,	yyvstop+128,
yycrank+-213,	yysvec+30,	yyvstop+131,
yycrank+-644,	yysvec+30,	yyvstop+134,
yycrank+-679,	yysvec+30,	yyvstop+138,
yycrank+-689,	yysvec+30,	yyvstop+142,
yycrank+-328,	yysvec+30,	yyvstop+146,
yycrank+0,	yysvec+6,	yyvstop+150,
yycrank+0,	0,		yyvstop+152,
yycrank+0,	yysvec+9,	0,	
yycrank+7,	0,		yyvstop+154,
yycrank+0,	yysvec+10,	yyvstop+156,
yycrank+0,	0,		yyvstop+158,
yycrank+0,	0,		yyvstop+160,
yycrank+0,	0,		yyvstop+162,
yycrank+0,	yysvec+13,	0,	
yycrank+6,	0,		yyvstop+164,
yycrank+0,	0,		yyvstop+166,
yycrank+0,	0,		yyvstop+168,
yycrank+0,	0,		yyvstop+170,
yycrank+0,	0,		yyvstop+172,
yycrank+0,	0,		yyvstop+174,
yycrank+326,	yysvec+17,	yyvstop+176,
yycrank+0,	0,		yyvstop+179,
yycrank+-741,	0,		0,	
yycrank+0,	0,		yyvstop+181,
yycrank+770,	0,		yyvstop+183,
yycrank+426,	yysvec+20,	yyvstop+186,
yycrank+795,	0,		0,	
yycrank+830,	0,		0,	
yycrank+854,	0,		0,	
yycrank+864,	0,		yyvstop+188,
yycrank+0,	yysvec+20,	yyvstop+190,
yycrank+0,	0,		yyvstop+192,
yycrank+27,	0,		yyvstop+194,
yycrank+0,	0,		yyvstop+196,
yycrank+0,	0,		yyvstop+198,
yycrank+0,	0,		yyvstop+200,
yycrank+39,	0,		yyvstop+202,
yycrank+925,	0,		0,	
yycrank+0,	0,		yyvstop+204,
yycrank+4,	yysvec+10,	yyvstop+206,
yycrank+5,	yysvec+10,	yyvstop+208,
yycrank+4,	yysvec+10,	yyvstop+210,
yycrank+129,	0,		0,	
yycrank+0,	0,		yyvstop+212,
yycrank+0,	0,		yyvstop+214,
yycrank+0,	0,		yyvstop+216,
yycrank+-11,	yysvec+30,	yyvstop+218,
yycrank+-330,	yysvec+30,	yyvstop+220,
yycrank+-12,	yysvec+30,	yyvstop+223,
yycrank+-996,	yysvec+9,	yyvstop+226,
yycrank+-208,	yysvec+30,	yyvstop+228,
yycrank+-1006,	yysvec+30,	yyvstop+231,
yycrank+-14,	yysvec+30,	yyvstop+234,
yycrank+-234,	yysvec+30,	yyvstop+237,
yycrank+-235,	yysvec+30,	yyvstop+240,
yycrank+-1049,	yysvec+13,	yyvstop+243,
yycrank+-346,	yysvec+30,	yyvstop+245,
yycrank+-1090,	0,		yyvstop+248,
yycrank+0,	0,		yyvstop+250,
yycrank+-262,	yysvec+107,	yyvstop+252,
yycrank+-263,	yysvec+30,	yyvstop+255,
yycrank+-331,	yysvec+30,	yyvstop+258,
yycrank+-333,	yysvec+30,	yyvstop+261,
yycrank+-348,	yysvec+30,	yyvstop+264,
yycrank+-730,	yysvec+30,	yyvstop+267,
yycrank+-1133,	yysvec+72,	yyvstop+271,
yycrank+-351,	yysvec+30,	yyvstop+273,
yycrank+-820,	yysvec+30,	yyvstop+276,
yycrank+-1011,	yysvec+30,	yyvstop+280,
yycrank+-487,	yysvec+30,	yyvstop+283,
yycrank+-568,	yysvec+30,	yyvstop+285,
yycrank+-759,	yysvec+30,	yyvstop+287,
yycrank+-1143,	yysvec+30,	yyvstop+289,
yycrank+-1067,	yysvec+30,	yyvstop+292,
yycrank+-355,	yysvec+30,	yyvstop+295,
yycrank+-446,	yysvec+30,	yyvstop+298,
yycrank+-356,	yysvec+30,	yyvstop+301,
yycrank+-366,	yysvec+30,	yyvstop+304,
yycrank+-382,	yysvec+30,	yyvstop+307,
yycrank+-392,	yysvec+30,	yyvstop+310,
yycrank+-1168,	yysvec+30,	yyvstop+313,
yycrank+-389,	yysvec+30,	yyvstop+315,
yycrank+-1186,	yysvec+30,	yyvstop+318,
yycrank+-1210,	yysvec+30,	yyvstop+321,
yycrank+-1234,	yysvec+30,	yyvstop+324,
yycrank+-397,	yysvec+30,	yyvstop+327,
yycrank+-415,	yysvec+30,	yyvstop+329,
yycrank+-420,	yysvec+30,	yyvstop+332,
yycrank+-425,	yysvec+30,	yyvstop+335,
yycrank+898,	0,		yyvstop+338,
yycrank+958,	0,		0,	
yycrank+0,	0,		yyvstop+341,
yycrank+0,	0,		yyvstop+344,
yycrank+0,	0,		yyvstop+346,
yycrank+1271,	0,		0,	
yycrank+421,	yysvec+144,	yyvstop+348,
yycrank+1281,	0,		0,	
yycrank+458,	yysvec+146,	yyvstop+350,
yycrank+0,	0,		yyvstop+352,
yycrank+0,	0,		yyvstop+354,
yycrank+0,	0,		yyvstop+356,
yycrank+31,	0,		yyvstop+358,
yycrank+5,	0,		0,	
yycrank+11,	yysvec+10,	yyvstop+360,
yycrank+19,	yysvec+10,	yyvstop+362,
yycrank+3,	yysvec+10,	yyvstop+364,
yycrank+-818,	yysvec+30,	yyvstop+366,
yycrank+-1183,	yysvec+30,	yyvstop+370,
yycrank+-427,	yysvec+30,	yyvstop+372,
yycrank+-448,	yysvec+30,	yyvstop+376,
yycrank+-588,	yysvec+30,	yyvstop+379,
yycrank+-1239,	yysvec+30,	yyvstop+381,
yycrank+-714,	yysvec+30,	yyvstop+384,
yycrank+-1298,	yysvec+30,	yyvstop+386,
yycrank+-475,	yysvec+30,	yyvstop+389,
yycrank+-477,	yysvec+30,	yyvstop+392,
yycrank+-498,	yysvec+30,	yyvstop+395,
yycrank+-562,	yysvec+30,	yyvstop+397,
yycrank+-579,	yysvec+30,	yyvstop+400,
yycrank+-609,	yysvec+30,	yyvstop+403,
yycrank+-1329,	yysvec+30,	yyvstop+405,
yycrank+-1339,	yysvec+30,	yyvstop+408,
yycrank+-1364,	yysvec+30,	yyvstop+411,
yycrank+1400,	0,		0,	
yycrank+595,	yysvec+173,	yyvstop+414,
yycrank+1418,	0,		0,	
yycrank+917,	yysvec+175,	yyvstop+416,
yycrank+0,	0,		yyvstop+418,
yycrank+0,	0,		yyvstop+420,
yycrank+0,	0,		yyvstop+422,
yycrank+33,	0,		0,	
yycrank+4,	yysvec+10,	yyvstop+424,
yycrank+0,	yysvec+10,	yyvstop+426,
yycrank+0,	yysvec+10,	yyvstop+429,
yycrank+-1334,	yysvec+30,	yyvstop+432,
yycrank+-1369,	yysvec+30,	yyvstop+434,
yycrank+-1354,	yysvec+30,	yyvstop+437,
yycrank+-1435,	yysvec+30,	yyvstop+439,
yycrank+-583,	yysvec+30,	yyvstop+442,
yycrank+-608,	yysvec+30,	yyvstop+445,
yycrank+-664,	yysvec+30,	yyvstop+448,
yycrank+-629,	yysvec+30,	yyvstop+450,
yycrank+-643,	yysvec+30,	yyvstop+453,
yycrank+-1450,	yysvec+30,	yyvstop+455,
yycrank+-1468,	yysvec+30,	yyvstop+458,
yycrank+-1492,	yysvec+30,	yyvstop+462,
yycrank+1521,	0,		0,	
yycrank+0,	yysvec+10,	yyvstop+466,
yycrank+-660,	yysvec+30,	yyvstop+469,
yycrank+-1582,	yysvec+30,	yyvstop+471,
yycrank+-1592,	yysvec+30,	yyvstop+473,
yycrank+10,	0,		0,	
yycrank+-684,	yysvec+30,	yyvstop+477,
yycrank+-722,	yysvec+30,	yyvstop+479,
yycrank+43,	0,		0,	
yycrank+-663,	yysvec+30,	yyvstop+481,
yycrank+-719,	yysvec+30,	yyvstop+484,
yycrank+1621,	0,		0,	
yycrank+-1682,	yysvec+30,	yyvstop+486,
yycrank+16,	0,		0,	
yycrank+-743,	yysvec+30,	yyvstop+488,
yycrank+51,	0,		0,	
yycrank+-881,	yysvec+30,	yyvstop+490,
yycrank+1705,	0,		0,	
yycrank+-1766,	yysvec+30,	yyvstop+492,
yycrank+0,	0,		yyvstop+494,
yycrank+-666,	yysvec+30,	yyvstop+496,
0,	0,	0};
struct yywork *yytop = yycrank+1836;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   9,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
 32,   1,  34,   1,  36,   1,   1,  39, 
  1,   1,  42,  43,   1,  43,   1,  47, 
 48,  49,  49,  49,  49,  49,  49,  49, 
 56,  56,   1,   1,   1,   1,   1,   1, 
  1,  65,  65,  65,  68,  69,  70,  36, 
 36,  36,  36,  36,  76,  36,  36,  36, 
 36,  36,  36,  36,  36,  36,  36,  36, 
 36,  36,  36,   1,   1,   1,   1,  36, 
  1,  65,  65,  65,  68,  69,  70,  36, 
 36,  36,  36,  36,  76,  36,  36,  36, 
 36,  36,  36,  36,  36,  36,  36,  36, 
 36,  36,  36,   1, 124,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
